<div class="robot-torso">
  <svg viewBox="0 0 187 218" fill="none" xmlns="http://www.w3.org/2000/svg">
    <rect
      x="0.5"
      y="0.5"
      width="186"
      height="217"
      rx="51.5"
      fill="#C4C4C4"
      stroke="black"
    />
    <rect
      x="121.5"
      y="15.5"
      width="39"
      height="21"
      fill="#FD0000"
      stroke="black"
    />
    <circle cx="102.5" cy="26.5" r="13" fill="#3BA439" stroke="black" />
    <rect
      x="24.5"
      y="76.5"
      width="136"
      height="115"
      rx="29.5"
      fill="#C4C4C4"
      stroke="black"
    />
    <rect
      x="25.5"
      y="49.5"
      width="141"
      height="18"
      fill="#FF0000"
      stroke="black"
    />
    <rect x="25.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="25.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="25.5" y="49.5" width="23" height="18" stroke="black" />
    <rect x="93.5" y="49.5" width="24" height="18" fill="#48C855" />
    <rect x="93.5" y="49.5" width="24" height="18" fill="#48C855" />
    <rect x="93.5" y="49.5" width="24" height="18" stroke="black" />
    <rect x="117.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="117.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="117.5" y="49.5" width="23" height="18" stroke="black" />
    <rect x="71.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="71.5" y="49.5" width="23" height="18" fill="#48C855" />
    <rect x="71.5" y="49.5" width="23" height="18" stroke="black" />
    <rect x="48.5" y="49.5" width="24" height="18" fill="#48C855" />
    <rect x="48.5" y="49.5" width="24" height="18" fill="#48C855" />
    <rect x="48.5" y="49.5" width="24" height="18" stroke="black" />
    <circle cx="143" cy="134" r="9.5" fill="#C4C4C4" stroke="black" />
    <rect
      x="28.5"
      y="14.5"
      width="54"
      height="23"
      fill="#C4C4C4"
      stroke="black"
    />
    <path
      d="M33.9111 25.9619L35.5371 22.4902H37.3389L34.7549 27.1924L37.4004 32H35.6162L33.9375 28.4404L32.25 32H30.457L33.1025 27.1924L30.5273 22.4902H32.3115L33.9111 25.9619ZM44.0537 26.5332C43.4326 27.3242 42.7061 27.7197 41.874 27.7197C40.9424 27.7197 40.2012 27.3271 39.6504 26.542C39.0996 25.7568 38.8242 24.7285 38.8242 23.457C38.8242 22.1211 39.123 21.0488 39.7207 20.2402C40.3242 19.4316 41.1445 19.0273 42.1816 19.0273C43.2598 19.0273 44.1006 19.4961 44.7041 20.4336C45.3135 21.3652 45.6182 22.6572 45.6182 24.3096V24.793C45.6182 26.2109 45.5098 27.3594 45.293 28.2383C45.082 29.1172 44.7686 29.8262 44.3525 30.3652C43.9365 30.9043 43.4062 31.3145 42.7617 31.5957C42.1172 31.8711 41.3115 32.0088 40.3447 32.0088V30.6377H40.6172C41.7188 30.6143 42.5537 30.2803 43.1221 29.6357C43.6963 28.9854 44.0068 27.9512 44.0537 26.5332ZM42.1377 26.375C42.5127 26.375 42.8789 26.2197 43.2363 25.9092C43.5938 25.5928 43.8721 25.1797 44.0713 24.6699V23.9844C44.0713 22.9238 43.8867 22.0596 43.5176 21.3916C43.1484 20.7178 42.7031 20.3809 42.1816 20.3809C41.6191 20.3809 41.1709 20.6592 40.8369 21.2158C40.5088 21.7666 40.3447 22.4844 40.3447 23.3691C40.3447 24.2539 40.5059 24.9775 40.8281 25.54C41.1504 26.0967 41.5869 26.375 42.1377 26.375ZM50.8477 27.2275H47.2178V25.9004H50.8477V27.2275ZM57.2812 31.165C56.7656 31.8389 56.0127 32.1758 55.0225 32.1758C54.1611 32.1758 53.5107 31.8799 53.0713 31.2881C52.6318 30.6904 52.4092 29.8232 52.4033 28.6865V22.4902H53.9502V28.5723C53.9502 30.0547 54.3955 30.7959 55.2861 30.7959C56.2295 30.7959 56.8799 30.374 57.2373 29.5303V22.4902H58.793V32H57.3164L57.2812 31.165ZM62.5986 22.4902L62.6426 23.5186C63.2461 22.7158 64.0166 22.3145 64.9541 22.3145C66.6357 22.3145 67.4883 23.4365 67.5117 25.6807V32H65.9648V25.751C65.9648 25.0068 65.8389 24.4795 65.5869 24.1689C65.3408 23.8525 64.9688 23.6943 64.4707 23.6943C64.084 23.6943 63.7354 23.8232 63.4248 24.0811C63.1201 24.3389 62.874 24.6758 62.6865 25.0918V32H61.1309V22.4902H62.5986ZM71.5283 32H69.9727V22.4902H71.5283V32ZM71.6514 19.9678C71.6514 20.2314 71.5781 20.4512 71.4316 20.627C71.2852 20.8027 71.0625 20.8906 70.7637 20.8906C70.4707 20.8906 70.251 20.8027 70.1045 20.627C69.958 20.4512 69.8848 20.2314 69.8848 19.9678C69.8848 19.7041 69.958 19.4814 70.1045 19.2998C70.251 19.1182 70.4707 19.0273 70.7637 19.0273C71.0566 19.0273 71.2764 19.1211 71.4229 19.3086C71.5752 19.4902 71.6514 19.71 71.6514 19.9678ZM76.0195 20.1875V22.4902H77.4521V23.7471H76.0195V29.6445C76.0195 30.0195 76.0811 30.3037 76.2041 30.4971C76.3271 30.6904 76.5381 30.7871 76.8369 30.7871C77.042 30.7871 77.25 30.752 77.4609 30.6816L77.4434 32C77.0918 32.1172 76.7314 32.1758 76.3623 32.1758C75.7471 32.1758 75.2783 31.9561 74.9561 31.5166C74.6338 31.0771 74.4727 30.4561 74.4727 29.6533V23.7471H73.0225V22.4902H74.4727V20.1875H76.0195Z"
      fill="black"
    />
  </svg>
</div>
